Package org.apache.aries.jax.rs.rest.management.internal

## Class RestManagementActivator

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.RestManagementActivator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    @Header(name="Bundle-Activator",
            value="${@class}")
    public class RestManagementActivator
    extends Object
    implements org.osgi.framework.BundleActivator

### Field Summary

Fields
`static String` `RMS_BASE`

### Constructor Summary

Constructors
`RestManagementActivator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <T> org.apache.aries.component.dsl.OSGi<Void>` `dynamic​(org.apache.aries.component.dsl.OSGi<T> program, Consumer<T> bind, Consumer<T> unbind)`
`void` `start​(org.osgi.framework.BundleContext bundleContext)`
`void` `stop​(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RMS_BASE

    public static final String RMS_BASE

See Also:
  Constant Field Values

### Constructor Detail

#### RestManagementActivator

    public RestManagementActivator()

### Method Detail

#### start

    public void start​(org.osgi.framework.BundleContext bundleContext)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

#### stop

    public void stop​(org.osgi.framework.BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

#### dynamic

    public static <T> org.apache.aries.component.dsl.OSGi<Void> dynamic​(org.apache.aries.component.dsl.OSGi<T> program,
                                                                        Consumer<T> bind,
                                                                        Consumer<T> unbind)